Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPDataSetWriter Class Reference

`#include <vtkXMLPDataSetWriter.h>`

Inheritance diagram for vtkXMLPDataSetWriter:

[legend]
Collaboration diagram for vtkXMLPDataSetWriter:

[legend]
List of all members.

## Detailed Description

Write any type of PVTK XML file.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLPDataSetWriter is a wrapper around the PVTK XML file format writers. Given an input vtkDataSet, the correct writer is automatically selected based on the type of input.

See also:
  vtkXMLPImageDataWriter vtkXMLPStructuredGridWriter vtkXMLPRectilinearGridWriter vtkXMLPPolyDataWriter vtkXMLPUnstructuredGridWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLPDataSetWriter.cxx)`
  - .`h` (`/IO/vtkXMLPDataSetWriter.h)`

Tests:
  vtkXMLPDataSetWriter (Tests)

Definition at line 50 of file vtkXMLPDataSetWriter.h.

## Public Types
typedef vtkXMLPDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | Write ()
void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPDataSetWriter * | SafeDownCast (vtkObject *o)
vtkXMLPDataSetWriter * | New ()
## Protected Methods
| vtkXMLPDataSetWriter ()
| ~vtkXMLPDataSetWriter ()
const char * | GetDataSetName ()
const char * | GetDefaultFileExtension ()
vtkXMLWriter * | CreatePieceWriter (int index)

## Member Typedef Documentation

typedef vtkXMLPDataWriter vtkXMLPDataSetWriter::Superclass

| Reimplemented from vtkXMLPDataWriter. Definition at line 53 of file vtkXMLPDataSetWriter.h.

## Constructor & Destructor Documentation

vtkXMLPDataSetWriter::vtkXMLPDataSetWriter | ( |  | ) | `[protected]`

vtkXMLPDataSetWriter::~vtkXMLPDataSetWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPDataSetWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPDataWriter.

int vtkXMLPDataSetWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataWriter.

virtual int vtkXMLPDataSetWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataWriter.

vtkXMLPDataSetWriter* vtkXMLPDataSetWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPDataWriter.

void vtkXMLPDataSetWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPDataWriter.

vtkXMLPDataSetWriter* vtkXMLPDataSetWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLPDataSetWriter::SetInput | ( | vtkDataSet * | input | ) |

| Get/Set the writer's input.

vtkDataSet* vtkXMLPDataSetWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

virtual int vtkXMLPDataSetWriter::Write | ( |  | ) | `[virtual]`

| Invoke the writer. Returns 1 for success, 0 for failure. Reimplemented from vtkXMLPDataWriter.

const char* vtkXMLPDataSetWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

const char* vtkXMLPDataSetWriter::GetDefaultFileExtension | ( |  | ) | `[protected, virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

vtkXMLWriter* vtkXMLPDataSetWriter::CreatePieceWriter | ( | int | index | ) | `[protected, virtual]`

| Implements vtkXMLPDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkXMLPDataSetWriter.h